package de.emprise.test;

import de.emprise.beans.*;

import java.io.*;
import java.rmi.*;
import java.util.*;
import javax.naming.*;
import javax.ejb.*;
import javax.rmi.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

/**
 * @servletName AdditionBeanServlet 
 */
public class AdditionBeanServlet extends HttpServlet {
  public AdditionBeanServlet () { }

  public void service (HttpServletRequest pRequest, HttpServletResponse pResponse)
    throws ServletException, IOException {
      
    ServletOutputStream out = pResponse.getOutputStream ();
    pResponse.setContentType("text/html");
    out.println ("<html>");
    out.println ("<h1>AdditionBean demonstration application - purpose: deployment test</h1>");
    out.println ("<p>Return to <a href=\"index.jsp\">main menu</a>");

    try {
      InitialContext ctx = new InitialContext ();
      AdditionHome home = (AdditionHome) PortableRemoteObject.narrow (ctx.lookup ("java:comp/env/ejb/addition"), AdditionHome.class);
      Addition add = home.create();
      out.println("<p>1 + 2 = " + add.addNumber(1,2) + "<br><p>");      
	  }
    catch (NamingException exc) {
      throw new ServletException (exc.toString ());
    }
    catch (RemoteException exc) {
      throw new ServletException (exc.toString ());
    }
    catch (CreateException exc) {
      throw new ServletException (exc.toString ());
    }

    out.println ("</html>");
  }

  //-------------------------------------
}
